﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RadComboBoxIsEnabledWPF
{
    public class AgencyViewModel
    {
        private ObservableCollection<Agency> agencies;

        public ObservableCollection<Agency> Agency
        {
            get
            {
                if (agencies == null)
                {
                    agencies = new ObservableCollection<Agency>();

                    agencies.Add(new Agency("Exotic Liquids", "(171) 555-2222", "EC1 4SD",true));
                    agencies.Add(new Agency("New Orleans Cajun Delights", "(100) 555-4822", "70117",false));
                    agencies.Add(new Agency("Grandma Kelly's Homestead", "(313) 555-5735", "48104",true));
                    agencies.Add(new Agency("Tokyo Traders", "(03) 3555-5011", "100",false));
                    agencies.Add(new Agency("Cooperativa de Quesos 'Las Cabras'", "(98) 598 76 54", "33007",false));
                    agencies.Add(new Agency("Mayumi's", "(06) 431-7877", "545",true));
                    agencies.Add(new Agency("Pavlova, Ltd.", "(03) 444-2343", "3058",false));
                    agencies.Add(new Agency("Specialty Biscuits, Ltd.", "(161) 555-4448", "M14 GSD",true));
                    agencies.Add(new Agency("PB Knäckebröd AB", "031-987 65 43", "S-345 67",false));
                    agencies.Add(new Agency("Refrescos Americanas LTDA", "(11) 555 4640", "5442",true));
                    agencies.Add(new Agency("Heli Süßwaren GmbH & Co. KG", "(New Item) (010) 9984510", "10785",false));
                    agencies.Add(new Agency("Plutzer Lebensmittelgroßmärkte AG", "(New Item) (069) 992755", "60439",true));
                    agencies.Add(new Agency("Nord-Ost-Fisch Handelsgesellschaft mbH", "(New Item) (04721) 8713", "27478",false));
                    agencies.Add(new Agency("Formaggi Fortini s.r.l.", "(New Item) (0544) 60323", "48100",true));
                }

                return agencies;
            }
        }
    }
}
