﻿using System.Windows;
using Telerik.Windows.Controls;

namespace RadComboBoxIsEnabledWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = new AgencyViewModel();
        }

        private void ComboBoxLoaded(object sender, RoutedEventArgs e)
        {
            var comboBox = sender as RadComboBox;
            if (comboBox != null && !comboBox.IsDropDownOpen)
            {
                comboBox.IsDropDownOpen = true;
                comboBox.IsDropDownOpen = false;
            }
        }
    }
}
